Message: Re: Static build with VS2010 and Geant4.9.5 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

None Re: Static build with VS2010 and Geant4.9.5 

Forum: Installation and Configuration
Re: None Static build with VS2010 and Geant4.9.5 (Eric Abel)
Date: 16 Mar, 2012
From: Eric Abel <Eric Abel>

Hi Ben,

Thank you for the response, and sorry for the long delay...somehow I was expecting an email when a response to my question was posted. Anyway, to answer your question, I do not see any linker errors until I try to build an application. Geant4 seemed to build with no problem. I am currently trying to get exampleB1 to complile, and get the following error:

LINK : fatal error LNK1104: cannot open file 'G4expat.lib'

This is the only error I get at this point. As stated in my original post, when you select static build, the compiler is supposed to look for G4expat-static.lib, which it is, because if I rename it, the error becomes

LINK : fatal error LNK1104: cannot open file 'C:\Geant4\Geant4.9.5\geant4_9_5_staticinstall\lib\G4expat-static.lib'

This is all I can think to provide you. Hope it helps. Any ideas?

Eric

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Note: Re: Static build with VS2010 and Geant4.9.5   (Ben Morgan - 19 Mar, 2012)
(_ Agree: Re: Static build with VS2010 and Geant4.9.5   (Eric Abel - 04 Apr, 2012)
(_ None: Re: Static build with VS2010 and Geant4.9.5   (Ben Morgan - 16 Apr, 2012)
(_ None: Re: Static build with VS2010 and Geant4.9.5   (Eric Abel - 16 Apr, 2012)
 Add Message Add Message
to: "Re: Static build with VS2010 and Geant4.9.5"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]